*.jar filter=lfs diff=lfs merge=lfs -text
*.zip filter=lfs diff=lfs merge=lfs -text
*.7z filter=lfs diff=lfs merge=lfs -text
*.gz filter=lfs diff=lfs merge=lfs -text
*.rar filter=lfs diff=lfs merge=lfs -text
*.tar filter=lfs diff=lfs merge=lfs -text
*.iso filter=lfs diff=lfs merge=lfs -text
*.png filter=lfs diff=lfs merge=lfs -text
*.jpg filter=lfs diff=lfs merge=lfs -text
*.jpeg filter=lfs diff=lfs merge=lfs -text
*.gif filter=lfs diff=lfs merge=lfs -text
*.bmp filter=lfs diff=lfs merge=lfs -text
*.tiff filter=lfs diff=lfs merge=lfs -text
*.svg filter=lfs diff=lfs merge=lfs -text
*.webp filter=lfs diff=lfs merge=lfs -text
*.mp3 filter=lfs diff=lfs merge=lfs -text
*.wav filter=lfs diff=lfs merge=lfs -text
*.ogg filter=lfs diff=lfs merge=lfs -text
*.flac filter=lfs diff=lfs merge=lfs -text
*.aac filter=lfs diff=lfs merge=lfs -text
*.m4a filter=lfs diff=lfs merge=lfs -text
*.wma filter=lfs diff=lfs merge=lfs -text
*.mp4 filter=lfs diff=lfs merge=lfs -text
*.mkv filter=lfs diff=lfs merge=lfs -text
*.avi filter=lfs diff=lfs merge=lfs -text
*.mov filter=lfs diff=lfs merge=lfs -text
*.webm filter=lfs diff=lfs merge=lfs -text
*.flv filter=lfs diff=lfs merge=lfs -text
*.wmv filter=lfs diff=lfs merge=lfs -text
*.psd filter=lfs diff=lfs merge=lfs -text
*.ai filter=lfs diff=lfs merge=lfs -text
*.pdf filter=lfs diff=lfs merge=lfs -text
*.mca filter=lfs diff=lfs merge=lfs -text
*.dat filter=lfs diff=lfs merge=lfs -text
*.dat_old filter=lfs diff=lfs merge=lfs -text

# thanks Gregtech new horizons!
* text eol=lf

*.[jJ][aA][rR]          binary

*.[pP][nN][gG]          binary
*.[jJ][pP][gG]          binary
*.[jJ][pP][eE][gG]      binary
*.[gG][iI][fF]          binary
*.[tT][iI][fF]          binary
*.[tT][iI][fF][fF]      binary
*.[iI][cC][oO]          binary
*.[sS][vV][gG]          text
*.[eE][pP][sS]          binary
*.[xX][cC][fF]          binary

*.[kK][aA][rR]          binary
*.[mM]4[aA]             binary
*.[mM][iI][dD]          binary
*.[mM][iI][dD][iI]      binary
*.[mM][pP]3             binary
*.[oO][gG][gG]          binary
*.[rR][aA]              binary

*.7[zZ]                 binary
*.[gG][zZ]              binary
*.[tT][aA][rR]          binary
*.[tT][gG][zZ]          binary
*.[zZ][iI][pP]          binary

*.[tT][cC][nN]          binary
*.[sS][oO]              binary
*.[dD][lL][lL]          binary
*.[dD][yY][lL][iI][bB]  binary
*.[pP][sS][dD]          binary
*.[tT][tT][fF]          binary
*.[oO][tT][fF]          binary

*.[pP][aA][tT][cC][hH]  -text

*.[bB][aA][tT]          text eol=crlf
*.[cC][mM][dD]          text eol=crlf
*.[pP][sS]1             text eol=crlf

*[aA][uU][tT][oO][gG][eE][nN][eE][rR][aA][tT][eE][dD]* binary
